Jump to content
Sign in to follow this  
RaviS

SystemC 2.3.2 on Ubuntu 18 and Eclipse

Recommended Posts

I have been using SystemC 2.3.1 with Ubuntu 17. With recent upgrade to Ubuntu 18 and SystemC 2.3.2, I am now unable to launch Eclipse. Error message led me to this link: https://stackoverflow.com/questions/3412617/java-lang-classnotfoundexception-org-eclipse-core-runtime-adaptor-eclipsestarte . Apparently Eclipse support for Ubuntu stopped at version 3.8, not the current 4.x. Support may be lacking going forward. Not sure whether it is worth staying with Eclipse. Please comment. Does anyone have experience with  using Netbeans in Ubuntu for SystemC? Thanks!

Share this post


Link to post
Share on other sites

Hello @RaviS,

You can download the Latest Eclipse package from their website which does work on Ubuntu 18.04.

Eclipse CDT download the package most pertinent to your system.(e.g. Ubuntu 64-bit download the Linux 64-Bit package.)

The Eclipse IDE is very well supported on latest Linux Environments.

Regards,

Ameya Vikram Singh

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×